gvSIG CE and SEXTANTE GIS Bug Tracker on MantisBT
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000117gvSIG Community EditionCoordinate systems and projectionspublic2011-07-19 08:382013-11-23 16:15
Reporterbenducke 
Assigned Tobenducke 
PriorityhighSeverityblockReproducibilityalways
StatusresolvedResolutionopen 
PlatformOSOS Version
Product VersionAll released versions 
Target VersiongvSIG CE 1.0.0Fixed in Version 
Summary0000117: Raster reprojection may kill the entire JVM for non-EPSG SRS
DescriptionThe current raster reprojection code relies on source and target rasters to have EPSG database entries. If they don't, the (GDAL) JNI function that does the reprojection silently exits, taking down the whole JVM and gvSIG.
Steps To ReproduceCreate a new view in an non-EPSG system. Add a raster. Reproject it. Take a look at the console output.
Additional InformationThe actual reprojection is don by "libjni-gdal/src/main/native/jgdal/warpfunc.c". This is actually a copy of GDAL's "apps/gdalwarp.cpp", converted into a library function. It is also outdated. So it would be a good idea to update it to the latest GDAL version before doing anything else with it.

The JNI code is called by "extRasterTools-SE/src/org/gvsig/rastertools/reproject/Reproject.java". The JNI interface is in "libjni-gdal/src/main/native/jgdal/gdalwarp_interfaz.cpp".
TagsNo tags attached.
Attached Files

- Relationships
related to 0000118assignedbenducke Raster reprojection does not honor "no data" settings 

-  Notes
(0000233)
jorgearevalo (developer)
2013-06-03 16:39

I solved the problem that kills the JVM. Now, it just shows an error to the user. Still didn't solve the problem with non-EPSG projections, but I know the reason (GDAL doesn't understand strings like 'ESRI:37001', as it does with EPSG projections). The proj4 or the WKT strings should be provided instead for this projections (actually, for all of them).

I want to commit the code that just saves the JVM to be killed, but I'm getting this error:

svn: E175013: Access to '/p/gvsigce/code/!svn/me' forbidden

Don't I have svn access with my user? (jorgearevalo)
(0000234)
benducke (developer)
2013-06-03 16:59

Yes, you have write access. But the SVN connection is secure, so you need to be connected to the https:// URL (Not plain http):

https://svn.code.sf.net/p/gvsigce/code/trunk [^]

Does that work?
(0000235)
jorgearevalo (developer)
2013-06-03 17:23

Yes, updated. Many thanks. But I accidentally committed an empty libjni-gdal folder directly in the trunk (not inside libraries). It can be deleted. It was revision 954. Sorry for that.

- Issue History
Date Modified Username Field Change
2011-07-19 08:38 benducke New Issue
2011-07-19 08:38 benducke Status new => assigned
2011-07-19 08:38 benducke Assigned To => benducke
2011-07-19 08:50 benducke Relationship added related to 0000118
2013-03-21 20:00 benducke Severity crash => block
2013-06-03 16:39 jorgearevalo Note Added: 0000233
2013-06-03 16:59 benducke Note Added: 0000234
2013-06-03 17:23 jorgearevalo Note Added: 0000235
2013-11-23 16:15 josecanalejo Status assigned => resolved


Copyright © 2000 - 2011 MantisBT Group
Hosted by Sourceforge.netPowered by Mantis Bugtracker